package com.ruoyi.SafetyDeclaration.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 水电校园安全不良事件
对象 safety_declaration_table
 * 
 * @author ruoyi
 * @date 2024-08-04
 */
public class SafetyDeclarationTable extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 申报类别 */
    @Excel(name = "申报类别")
    private String declarationType;

    /** 巡检要求 */
    @Excel(name = "巡检要求")
    private String requirementDescription;

    /** 申报图片 */
    @Excel(name = "申报图片")
    private String declarationImg;

    /** 申请人 */
    private String applyUser;

    /** 发生时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "发生时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date occurTime;

    /** 解决人员 */
    private String solveUser;

    /** 解决时间 */
    private Date solveTime;

    /** 当前状态 */
    @Excel(name = "当前状态")
    private String currentState;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDeclarationType(String declarationType) 
    {
        this.declarationType = declarationType;
    }

    public String getDeclarationType() 
    {
        return declarationType;
    }
    public void setRequirementDescription(String requirementDescription) 
    {
        this.requirementDescription = requirementDescription;
    }

    public String getRequirementDescription() 
    {
        return requirementDescription;
    }
    public void setDeclarationImg(String declarationImg) 
    {
        this.declarationImg = declarationImg;
    }

    public String getDeclarationImg() 
    {
        return declarationImg;
    }
    public void setApplyUser(String applyUser) 
    {
        this.applyUser = applyUser;
    }

    public String getApplyUser() 
    {
        return applyUser;
    }
    public void setOccurTime(Date occurTime) 
    {
        this.occurTime = occurTime;
    }

    public Date getOccurTime() 
    {
        return occurTime;
    }
    public void setSolveUser(String solveUser) 
    {
        this.solveUser = solveUser;
    }

    public String getSolveUser() 
    {
        return solveUser;
    }
    public void setSolveTime(Date solveTime) 
    {
        this.solveTime = solveTime;
    }

    public Date getSolveTime() 
    {
        return solveTime;
    }
    public void setCurrentState(String currentState) 
    {
        this.currentState = currentState;
    }

    public String getCurrentState() 
    {
        return currentState;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("declarationType", getDeclarationType())
            .append("requirementDescription", getRequirementDescription())
            .append("declarationImg", getDeclarationImg())
            .append("applyUser", getApplyUser())
            .append("occurTime", getOccurTime())
            .append("solveUser", getSolveUser())
            .append("solveTime", getSolveTime())
            .append("currentState", getCurrentState())
            .append("remark", getRemark())
            .toString();
    }
}
